<?php
// $Id$

/**
 * @file
 * Extends Views 'User: Roles' filter to use machine name instead of role id.
 * 
 * Converts any existing view that is using 'User: Roles' filter to now use the
 * machine name as well as extending the 'User: Roles' filter for future use.
 */

class role_export_handler_filter_user_roles extends views_handler_filter_many_to_one {
  function get_value_options() {
    $results = array();
    $roles = role_export_roles();
    foreach ($roles as $role) {
      $results[$role->machine_name] = $role->name;
    }
    $this->value_options = $results;
  }
}